## org.eclipse.emf.query.conditions.numbers
Enum NumberCondition.RelationalOperator

    java.lang.Object
      java.lang.Enum<NumberCondition.RelationalOperator>
          org.eclipse.emf.query.conditions.numbers.NumberCondition.RelationalOperator

All Implemented Interfaces:
  Serializable, Comparable<NumberCondition.RelationalOperator>

Enclosing class:
  NumberCondition<N extends Number & Comparable<? super N>>

    public static enum NumberCondition.RelationalOperator

extends Enum<NumberCondition.RelationalOperator>

The relational operator that a `NumberCondition` applies to test input values against its own value or, in the case of `BETWEEN`, its upper and lower bounds.

Since:
  1.2

Enum Constant Summary
`BETWEEN`
`EQUAL_TO`
`GREATER_THAN`
`GREATER_THAN_OR_EQUAL_TO`
`LESS_THAN`
`LESS_THAN_OR_EQUAL_TO`
`NOT_EQUAL_TO`

Method Summary
`static NumberCondition.RelationalOperator` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NumberCondition.RelationalOperator[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQUAL_TO

    public static final NumberCondition.RelationalOperator EQUAL_TO

### NOT_EQUAL_TO

    public static final NumberCondition.RelationalOperator NOT_EQUAL_TO

### LESS_THAN

    public static final NumberCondition.RelationalOperator LESS_THAN

### LESS_THAN_OR_EQUAL_TO

    public static final NumberCondition.RelationalOperator LESS_THAN_OR_EQUAL_TO

### GREATER_THAN

    public static final NumberCondition.RelationalOperator GREATER_THAN

### GREATER_THAN_OR_EQUAL_TO

    public static final NumberCondition.RelationalOperator GREATER_THAN_OR_EQUAL_TO

### BETWEEN

    public static final NumberCondition.RelationalOperator BETWEEN

Method Detail

### values

    public static final NumberCondition.RelationalOperator[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(NumberCondition.RelationalOperator c : NumberCondition.RelationalOperator.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static NumberCondition.RelationalOperator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.